Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.ORBPackage
Class InvalidName

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.CORBA.ORBPackage.InvalidName

All Implemented Interfaces:
  IDLEntity, Serializable

public class InvalidName
extends UserException

The `InvalidName` exception is raised when `ORB.resolve_initial_references` is passed a name for which there is no initial reference.

Since:
  JDK1.2
See Also:
  `ORB.resolve_initial_references(String)`, Serialized Form

Constructor Summary
`InvalidName()` Constructs an `InvalidName` exception with no reason message.
`InvalidName(String reason)` Constructs an `InvalidName` exception with the specified reason message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidName

    public InvalidName()

  Constructs an `InvalidName` exception with no reason message.

### InvalidName

    public InvalidName(String reason)

  Constructs an `InvalidName` exception with the specified reason message.
  Parameters:
    `reason` - the String containing a reason message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.